## Parameters

`module G : Graph.Sig.I`

## Signature

`val transitive_reduction : G.t -> unit`

transitive reduction. Uses the transitive reduction algorithm from The Transitive Reduction of a Directed Graph, Aho, Garey and Ullman, 1972 - with the proviso that we know that our graph already is a transitive closure

`module O : sig ... end`
`module S : sig ... end`
`val subgraph : G.t -> S.elt list -> G.t`

extract the subgraph induced by the list l